Summary: Library for handling TIFF files.
Name: libtiff
Version: 3.4beta037
Release: 2
Copyright: distributable
Group: Libraries
Source0: ftp://ftp.sgi.com/graphics/tiff/tiff-v3.4beta037-tar.gz
Patch0: tiff-v3.4beta037-glibc.patch
Patch1: tiff-v3.4beta037-shlib.patch
Patch2: tiff-v3.4beta037-sgiuv.patch
Buildroot: /var/tmp/libtiff-root
%define LIBVER 3.4beta037
Summary(de): Library zum Verwalten von TIFF-Dateien
Summary(fr): Bibliothque de gestion des fichiers TIFF
Summary(tr): TIFF dosyalarn ileme kitapl

%changelog

* Thu Aug 20 1998 Jan Prikryl <prikryl@acm.org>

- deleted URL as both http://www-mipl.jpl.nasa.gov/~ndr/tiff/ and 
  http://www.earthlink.net/~ritter/tiff/ are not working
- applied patch for SGILUV codec supplied by Gerg Ward Larson

* Thu Aug 20 1998 Jan Prikryl <prikryl@acm.org>

- ported from v3.4 spec

* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>

- new version to replace the one from libgr
- patched for glibc
- added shlib support

%description
This package is a library of functions that manipulate TIFF images.
The beta037 version supports high dynamic range iumage formats that
are needed by most globa illuminaction application. See 
http://www.sgi.com/Technology/pixformat/ for more detail.

%package devel
Summary: headers and static libraries for developing programs using libtiff
Group: Development/Libraries
Requires: libtiff
Summary(de): Headers und statische Libraries zur Entwicklung von Programmen  unter Verwendung von libtiff 
Summary(fr): en-ttes et bibliothques statiques pour dveloppement avec libtiff"
Summary(tr): libtiff kitaplyla gelitirme iin gerekli dosyalar

%description devel
This package is all you need to develop programs that manipulate tiff
images.

%description -l de devel
Dieses Paket enthlt alles, was Sie zum Entwickeln von Programmen
zum Bearbeiten von tiff-Bildern bentigen.

%description -l de
Eine Library von Funktionen zur Manipulation von TIFFs. 

%description -l fr devel
Ce package contient tout le ncessaire pour raliser des programmes
manipulant des images au format tiff.

%description -l fr
Bibliothque de fonctions pour manipuler des images TIFF."

%description -l tr devel
tiff resimlerini ileyen programlar yazmak iin gerekli dosyalar bu pakette
yer alr.

%description -l tr
Bu paket TIFF resimlerini ileyen fonksiyonlardan oluan bir kitaplktr.

%prep
%setup -n tiff-v3.4beta037
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./configure --target=linux << EOF
no
$RPM_BUILD_ROOT/usr/bin
$RPM_BUILD_ROOT/usr/lib
$RPM_BUILD_ROOT/usr/include
$RPM_BUILD_ROOT/usr/man
bsd-source-cat
yes
EOF
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
make install
cd libtiff
install -m644 -o root -g root libtiff.so.3.4beta037 $RPM_BUILD_ROOT/usr/lib

ln -sf libtiff.so.%{LIBVER} $RPM_BUILD_ROOT/usr/lib/libtiff.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libtiff.so.%{LIBVER}
/usr/bin/fax2tiff
/usr/bin/fax2ps
/usr/bin/gif2tiff
/usr/bin/pal2rgb
/usr/bin/ppm2tiff
/usr/bin/rgb2ycbcr
/usr/bin/thumbnail
/usr/bin/ras2tiff
/usr/bin/tiff2bw
/usr/bin/tiff2ps
/usr/bin/tiffcmp
/usr/bin/tiffcp
/usr/bin/tiffdither
/usr/bin/tiffdump
/usr/bin/tiffinfo
/usr/bin/tiffmedian
/usr/bin/tiffsplit

%files devel
%doc COPYRIGHT README TODO VERSION html/*
/usr/lib/libtiff.so
/usr/lib/libtiff.a
/usr/include/tiff.h
/usr/include/tiffio.h
/usr/man/man1/*
/usr/man/man3/*
